TCTI-SOCKET(7)

NAME
tcti-socket - TPM simulator TCTI library

SYNOPSIS
A TPM Command Transmission Interface (TCTI) module for interaction with the Microsoft TPM2 simulator.

DESCRIPTION
tcti-socket is a library that abstracts the details of direct communication with the interface and protocol exposed by the daemon hosting the TPM2 reference implementation. The interface exposed by this library is defined in the “TSS System Level API and TPM Command Transmission Interface Specification” specification.

AUTHOR
Philip Tricca <philip.b.tricca@intel.com>

SEE ALSO
Tss2_Tcti_Device_Init(3), Tss2_Tcti_Socket_Init(3), Tss2_TctiLdr_Initialize(3), Tss2_TctiLdr_Finalize(3), tcti-device(7), tcti-socket(7), tcti-tabrmd(7), tpm2-abrmd(8)

COLOPHON
This page is part of release 2.3.2 of Intel's implementation of the TCG TPM2 Software Stack (TSS2). A description of the project, information about reporting bugs, and the latest version of this page can be found at https://github.com/01org/tpm2-tss/.